base/urls.py
from django.urls import path
from django.conf import settings
from django.conf.urls.static import static
from base.views import *

app_name = 'base'

urlpatterns = [
    path('', home, name='home'),
    path('faq/', faq, name='faq'),
    path('contacts/', contact, name='contacts'),
    path('about-us/', about, name='about'),
    path('investments/', investments, name='investments'),
    path('past_projects/', past_projects, name='past_projects'),
    path('investment/<str:name>', investment, name='investment'),
    path('investment_form/<str:invest>', investment_form, name='investment_form'),
    path('choose_payment/<int:invest>', choose_payment, name='choose_payment'),
    path('my_transactions/', my_transactions, name='my_transactions'),
    path('my_investments/', my_investments, name='my_investments'),
    path('delete_investment/<int:id>', delete_investment, name='delete_investment'),
    path('user_question/', question_through_email, name='question_through_email'),
]
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

solomartel/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('base.urls'), name='base'),
    path('accounts/', include('accounts.urls'), name='accounts'),
    path('payment/', include('payment.urls'), name='payments')
]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

base/models.py
from django.db import models
from accounts.models import Client, Private, Entity, Account

# Create your models here.
STATUS = (
    ('Pending', 'Pending'),
    ('Complete', 'Complete'),
)

STATES = (
    ('Repaired/built', 'Repaired/built'),
    ('Performing asset', 'Performing asset')
)


class Investment(models.Model):
    name = models.CharField(max_length=255, unique=True)
    minimum_investment = models.DecimalField(max_digits=10, decimal_places=2, verbose_name='Minimum investment ($)')
    gross_returns = models.DecimalField(max_digits=10, decimal_places=2, verbose_name='Gross returns (%)')
    net_returns = models.DecimalField(max_digits=10, decimal_places=2, verbose_name='Net returns (%)')
    description = models.TextField()
    invested_amount = models.DecimalField(max_digits=10, decimal_places=2, verbose_name='Invested amount ($)')
    market_value = models.DecimalField(max_digits=10, decimal_places=2, verbose_name='Market value ($)')

    # ---------- Bank information -----------
    bank_name = models.CharField(max_length=255)
    subsidiary_name = models.CharField(max_length=255)
    ABA_number = models.IntegerField()
    company_address = models.CharField(max_length=255)
    account_number = models.IntegerField()  # Tell if it has some validation for this field.
    current_state = models.CharField(max_length=255, choices=STATES, default='Performing asset')

    def __str__(self):
        return self.name


class Client_Investment(models.Model):
    investment = models.ForeignKey(Investment, on_delete=models.CASCADE, related_name='clients')
    client = models.ForeignKey(Client, on_delete=models.CASCADE, related_name='investments')
    invest_date = models.DateTimeField(auto_now_add=True)
    status = models.CharField(max_length=10, choices=STATUS)
    approved = models.BooleanField(default=False)
    done = models.BooleanField(default=False)
    invested_amount = models.DecimalField(max_digits=10, decimal_places=2, verbose_name='Invested amount($)')
    phone_number = models.CharField(max_length=16)
    payment_token = models.CharField(max_length=128, null=True)
    deleted = models.BooleanField(default=False)

    def __str__(self):
        return f'{self.client.legal_name} invest in {self.investment.name}'


class Remark(models.Model):
    sender_email = models.EmailField()
    title = models.CharField(max_length=255)
    content = models.FileField(upload_to='remarks_files')
    client = models.ForeignKey(Client, on_delete=models.DO_NOTHING, blank=True, null=True, related_name='my_remarks')

    def __str__(self):
        return self.title


class PropertyPicture(models.Model):
    name = models.CharField(max_length=255)
    investment = models.ForeignKey(Investment, on_delete=models.CASCADE, related_name='my_images')
    image = models.ImageField(upload_to=f'investments/{investment.name}')

    def __str__(self):
        return f'{self.investment.name}[Image] - {self.name}'


class PromotionalDocument(models.Model):
    name = models.CharField(max_length=255)
    investment = models.ForeignKey(Investment, on_delete=models.CASCADE, related_name='my_documents')
    file = models.FileField(upload_to=f'documents/{investment.name}')

    def __str__(self):
        return f'{self.investment.name}[Document] - {self.name}'


class Testimonial(models.Model):
    client_name = models.CharField(max_length=255, default='Satisfied client')
    client_photo = models.ImageField(upload_to='client_profile', null=True, blank=True)
    testimonial = models.TextField(blank=True)
    url = models.CharField(max_length=255, blank=True)

    def __str__(self):
        return f'Testimonial {self.client_name}' if self.client_name else f'Testimonial {self.url}'

base/views.py
from django.urls import resolve
from django.conf import settings
from django.contrib import messages
from django.core.mail import send_mail
from django.template.loader import render_to_string
from django.shortcuts import render, redirect, reverse
from django.contrib.sites.shortcuts import get_current_site
from django.contrib.auth.decorators import login_required
from base.models import Testimonial, Investment, PropertyPicture, Remark, Client_Investment
from accounts.models import Client

import decimal


# Create your views here.


def home(request):
    testimonials = Testimonial.objects.all()
    return render(request, 'base/home.html', {'testimonials': testimonials})


def contact(request):
    return render(request, 'base/contacts.html')


def faq(request):
    return render(request, 'base/faq.html')


def about(request):
    return render(request, 'base/about-us.html')


def investments(request):
    invests = Investment.objects.all()
    context = {
        'investments': invests
    }
    return render(request, 'investments/investments.html', context)


def question_through_email(request):
    try:
        if request.method == 'POST':
            site_url = get_current_site(request)
            email = request.POST.get('email')
            user_query = request.POST.get('query')

            subject = "You've received messages from {}".format(email)
            message = ""
            email_from = settings.EMAIL_HOST_USER
            recipient_list = ['info@solomartel.com']
            msg_html = render_to_string('email/question_email.html',
                                        {'your_query': user_query, 'email': email, 'site_url': site_url})
            send_mail(subject, message, f'Solomartel Holdings<{email_from}>', recipient_list,
                      html_message=msg_html, fail_silently=False, )

            messages.success(request, 'Your question has been sent successfully')
        return redirect(reverse('base:investment', kwargs={'name': request.session['investment']}))

    except Exception as e:
        import traceback
        traceback.print_exc()
        messages.error(request, str(e))
        return redirect(reverse('base:investment', kwargs={'name': request.session['investment']}))


def investment(request, name):
    context = {}
    try:
        investment_record = Investment.objects.get(name=name)
        context['investment_record'] = investment_record
        request.session['investment'] = name
        if request.user.is_authenticated:
            client = Client.objects.get(user=request.user)
            client_investment = Client_Investment.objects.get(client=client, investment=investment_record,
                                                              approved=True, deleted=False)
            percentage_invested = (client_investment.invested_amount*100)/investment_record.invested_amount
            context['client_investment'] = client_investment
            context['percentage_invested'] = percentage_invested
        # with_profile_pic = investment_record.my_images.all()[0]

        return render(request, 'investments/view_investment.html', context)
    except Investment.DoesNotExist:
        context['msg'] = 'Something went wrong, Please try again later'
        return render(request, 'investments/view_investment.html', context)
    except Client_Investment.DoesNotExist:
        import traceback
        traceback.print_exc()
        return render(request, 'investments/view_investment.html', context)
    except Client.DoesNotExist:
        return render(request, 'investments/view_investment.html', context)


def past_projects(request):
    context = {}
    try:
        return render(request, 'base/past_project.html')
    except:
        import traceback
        traceback.print_exc()
        context['msg'] = 'Something went wrong,Please try again later'
        return render(request, 'base/past_projects.html')


@login_required
def investment_form(request, invest):
    context = {}
    try:
        # get_id_of_investoment = request.GET.get('inverst_name')
        # investment_record = PropertyPicture.objects.get(investment_id=int(get_id_of_investoment))
        investment_record = Investment.objects.get(name=invest)
        # user_id = request.user.id
        client = Client.objects.get(user=request.user)

        context['investment_record'] = investment_record
        if request.method == 'POST':
            investmentamount = request.POST.get('investmentamount')
            phonenumber = request.POST.get('phonenumber')
            check_offer = Client_Investment.objects.filter(investment=investment_record, client=client, deleted=False)
            if check_offer:
                context['msg'] = 'Sorry, You already offer for this investment'
                return render(request, 'investments/invest_form.html', context)

            client_investment = Client_Investment.objects.create(
                investment=investment_record, invested_amount=decimal.Decimal(investmentamount),
                phone_number=phonenumber,
                client=client, status='Pending')

            investment_record.invested_amount += decimal.Decimal(investmentamount)
            investment_record.save()
            context[
                'success_msg'] = 'Thank you for your registration ! Your offer has been successfully created,Enter your details to Compelete payment process'
            return redirect(reverse('base:choose_payment', kwargs={'invest': client_investment.id}))
        # context['get_id_of_investoment'] = invest
        return render(request, 'investments/invest_form.html', context)
    except Investment.DoesNotExist:
        context['msg'] = 'Unrecognized investment'
        return render(request, 'investments/invest_form.html', context)
    except:
        import traceback
        traceback.print_exc()
        context['msg'] = 'Something went wrong,Please try again later'
        return render(request, 'investments/invest_form.html', context)


@login_required
def choose_payment(request, invest):
    context = {}
    try:
        context['id_offer_obj'] = invest
        return render(request, 'investments/payment_way.html', context)
    except:
        import traceback
        traceback.print_exc()
        context['msg'] = 'Something went wrong,Please try again later'
        return render(request, 'investments/payment_way.html')


@login_required
def my_transactions(request):
    context = {}
    try:
        # request_user = request.user.id
        client = Client.objects.get(user=request.user)
        transactions = Client_Investment.objects.filter(client=client, deleted=False)
        context['all_transactions'] = transactions
        return render(request, 'investments/my_transactions.html', context)
    except:
        import traceback
        traceback.print_exc()
        return render(request, 'investments/my_transactions.html')


@login_required
def my_investments(request):
    try:
        # request_user = request.user.id
        client = Client.objects.get(user=request.user)
        investments = Client_Investment.objects.filter(client=client, done=True, approved=True, deleted=False)
        context = {'transactions': investments}
        return render(request, 'investments/my_investments.html', context)
    except:
        import traceback
        traceback.print_exc()
        return render(request, 'investments/my_investments.html')


@login_required
def delete_investment(request, id):
    try:
        transaction_to_delete = Client_Investment.objects.get(id=id)
        if not transaction_to_delete.approved:
            transaction_to_delete.deleted = True
    except Client_Investment.DoesNotExist:
        import traceback
        traceback.print_exc()

    return redirect(reverse('base:my_transactions'))

base/templates/investments/invest_form.html
{% extends 'base/base.html' %}
{% load static %}
{% block title %}
<title>Invest - Solomartel</title>
{% endblock title %}
{% block content %}

<style type="text/css">
   .form-control.has-error {
   border: 1px solid #FB404B !important;
   color: #FB404B !important;
   }
   .form-control.has-success {
   border: 1px solid #28a745 !important;
   color: #28a745 !important;
   }
   .error-msg {
   color: red;
   font-size: 13px;
   margin: 3px;
   }










</style>
<link rel="stylesheet" href="{% static 'css/new_style.css' %}" id="main-styles-link">
<section class=" container section novi-background" style="padding-top: 75px;">

    <h4 class="p-2">Step 1: Submit Offer</h4>
    {% if msg %}
    <div class="alert alert-danger" id="msg">{{msg}}</div>
    {% endif %}
    {% if success_msg %}
    <div class="alert alert-success" id="msg">{{success_msg}}</div>
    {% endif %}
    <div role="form" class="wpcf7" id="wpcf7-f8293-p8709-o4" lang="en-US" dir="ltr">
        <div class="screen-reader-response"></div>
        <form action="{% url 'base:investment_form' investment_record.name %}"
              method="post"
              id="investment_amount_form" class="wpcf7-form">
            {% csrf_token %}
            <div class="row justify-content-center">
                <div class="col-xs-12 col-sm-12">
                    <div class="form-group">
                        <strong><label>Inverst in </label></strong><br>
                        <span class="wpcf7-form-control-wrap propertyname"><input
                                type="text" name="propertyname"
                                value="{{investment_record.name}}" disabled="disabled"
                                class="wpcf7-form-control wpcf7-text wpcf7-validates-as-required form-control "
                                readonly="readonly" aria-required="true"></span>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12">
                    <div class="form-group">
                        <strong><label>Investment amount (in USD
                            $) </label></strong><br>
                        <span class="wpcf7-form-control-wrap investmentamount"><input
                                type="number" name="investmentamount"
                                id="investment_amount"
                                class="wpcf7-form-control wpcf7-number wpcf7-validates-as-required wpcf7-validates-as-number form-control"
                                onkeyup="Investment_check()"
                                placeholder="Minimum amount: {{ investment_record.minimum_investment }}"></span>
                        <span class="error-msg"
                              id="email_label_edit_login" style="cursor: pointer;"></span>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12">
                    <div class="form-group">
                        <strong><label>Email </label></strong><br>
                        <span class="wpcf7-form-control-wrap email"><input type="text"
                                                                           name="email_investoment_input"
                                                                           size="40"
                                                                           id="email_investoment"
                                                                           class="wpcf7-form-control wpcf7-text wpcf7-validates-as-required form-control"
                                                                           value="{{user.email}}"
                                                                           disabled></span>
                        <span class="error-msg"
                              id="email_label_check_label"></span>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12">
                    <div class="form-group">
                        <strong><label>Phone number </label></strong><br>
                        <span class="wpcf7-form-control-wrap phonenumber"><input
                                type="text"
                                name="phonenumber"
                                size="40"
                                id="phone_number_edit"
                                class="wpcf7-form-control wpcf7-text wpcf7-validates-as-required form-control" style="cursor: pointer;"></span>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12">
                    <div class="form-group">
                                       <span class="wpcf7-form-control-wrap acceptance-430"><span
                                               class="wpcf7-form-control wpcf7-acceptance"><span
                                               class="wpcf7-list-item"><input type="checkbox" id="checked_true">
                                       <span class="error-msg" id="checked_label"></span>
                                       <strong><span class="wpcf7-list-item-label">The invested amount needs to be
                                       fully covered,no financing available.</span></strong></span></span></span>
                    </div>
                </div>
                <br><br>
                <div class="col-xs-10 col-sm-10 text-center">
                    <br>
                    <input type="submit" value="Confirm and continue"
                           class="btn text-white"
                           style="background-color: #0a4a7f !important;"><span
                        class="ajax-loader"></span>
                </div>
            </div>
        </form>
    </div>

</section>
{% endblock content %}

base/templates/investments/investments.html
{% extends 'base/base.html' %}
{% load static %}

{% block title %}
<title> Investments - SolomartelHoldings </title>
{% endblock title %}

{% block content %}

<section class="section novi-background" style="padding-top: 80px;">
    <div class="mx-3">
        <div class="row justify-content-center align-items-center">
            {% for investment in investments %}
            <div class="card col-10 col-sm-6 col-md-4 col-lg-4 col-xl-4 my-3" style="width: 18rem;">
                <img class="card-img-top" src="{% static 'images/service-thumbnail-1-270x300.jpg' %}"
                     alt="Card image cap">
                <div class="card-body border">
                    <h5 class="card-title font-weight-bold text-center mb-3">{{ investment.name }}</h5>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <strong>Minimum investments: </strong><span>{{ investment.minimum_investment }}%</span>
                        </li>
                        <li class="list-group-item">
                            <strong>Gross yearly ROI: </strong><span>{{ investment.gross_returns }}%</span>
                        </li>
                        <li class="list-group-item">
                            <strong>Net yearly returns: </strong> <span>{{ investment.net_returns }}%</span>
                        </li>
                        <li class="list-group-item">
                            <strong>Total fund investment amount: </strong><span>{{ investment.invested_amount }}$</span>
                        </li>
                        <li class="list-group-item" style="border-bottom-left-radius: 0px; border-bottom-right-radius: 0px;">
                            <strong>Property market value: </strong><span>{{ investment.market_value }}$</span>
                        </li>
                    </ul>
                    <a href="{% url 'base:investment' investment.name %}" class="btn btn-block text-white" style="background-color: #0a4a7f; border-top-left-radius: 0px; border-top-right-radius: 0px;">Details</a>
                </div>
            </div>
            {% endfor %}
        </div>
    </div>
</section>
{% endblock content %}

base/templates/investments/my_investments.html
{% extends 'base/base.html' %}
{% load static %}

{% block title %}
<title> Investments - SolomartelHoldings </title>
{% endblock title %}

{% block content %}
<style type="text/css">
   p {
    background:none !important;
}
</style>
<section class="section novi-background" style="padding-top: 80px;">
    <div class="mx-3">
         {% if transactions %}
        <div class="row justify-content-center align-items-center">
            {% for transaction in transactions %}
            <div class="card col-10 col-sm-6 col-md-4 col-lg-4 col-xl-4 my-3" style="width: 18rem;">
                <img class="card-img-top" src="{{ transaction.investment.my_images.all.0.image.url }}"
                     alt="Card image cap" width="420" height="262">
                <div class="card-body border">
                    <h5 class="card-title font-weight-bold text-center mb-3">{{ transaction.investment.name }}</h5>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <strong>Minimum investments: </strong><span>{{ transaction.investment.minimum_investment }}%</span>
                        </li>
                        <li class="list-group-item">
                            <strong>Gross yearly ROI: </strong><span>{{ transaction.investment.gross_returns }}%</span>
                        </li>
                        <li class="list-group-item">
                            <strong>Net yearly returns: </strong> <span>{{ transaction.investment.net_returns }}%</span>
                        </li>
                        <li class="list-group-item">
                            <strong>Total fund investment amount: </strong><span>{{ transaction.investment.invested_amount }}$</span>
                        </li>
                        <li class="list-group-item" style="border-bottom-left-radius: 0px; border-bottom-right-radius: 0px;">
                            <strong>Your investment: </strong><span>{{ transaction.invested_amount }}$</span>
                        </li>
                        <li class="list-group-item" style="border-bottom-left-radius: 0px; border-bottom-right-radius: 0px;">
                            <strong>Property market value: </strong><span>{{ transaction.investment.market_value }}$</span>
                        </li>
                    </ul>
                    <a href="{% url 'base:investment' transaction.investment.name %}" class="btn btn-block text-white" style="background-color: #0a4a7f; border-top-left-radius: 0px; border-top-right-radius: 0px;">Details</a>
                </div>
            </div>
            {% endfor %}
        </div>
        {% else %}
        <br><br><br><br><br><br>
        <div class="breadcrumbs-custom-inner" ><br>
            <br><br>
        <div class="alert alert-success" style="margin-left: 400px" id="msg"><h3>Sorry, You have not transferred any funds yet,</h3><h3> Check back after you transfer an fund </h3><br><span style="margin-left: 200px">Solomortal Investment Fund</span></div>
    </div>
</div>
        {% endif %}
    </div>
</section>
{% endblock content %}

base/templates/investments/my_transactions.html
{% extends 'base/base.html' %}
{% load static %}
{% block title %}
<title>Transactions - Solomartel </title>
{% endblock title %}

{% block content %}
<!-- Breadcrumbs -->
<!--<style>
   #boxes{
   float:left;
   width:99%;
   }
   #leftbox {
   float:left;
   width:20%;
   }
   #middlebox{
   float:left;
   width:75%;
   }
   p {
      background:none !important;
      }
   #myModal {
   text-align: center;
}
.modal-body p {
   font-size: 18px;
}
.alert-popup .modal-header {
   padding: 5px 10px;
   background-image: linear-gradient(to left, #74ebd5, #9face6);
   background-image: -moz-linear-gradient(to left, #74ebd5, #9face6);
   background-image: -webkit-linear-gradient(to left, #74ebd5, #9face6);
   background-image: -o-linear-gradient(to left, #74ebd5, #9face6);
   background-image: -ms-linear-gradient(to left, #74ebd5, #9face6);
   color: #fff;
   font-weight: 700;
}

.alert-popup h4.modal-title {
   padding: 0px;
   font-size: 20px;
   font-weight: 500;
}

.modal-header button.close:focus {
   outline: 0;
}

.modal-header button.close {
   color: #fff;
   opacity: 1;
}

.modal-footer button.btn.btn-danger:focus, .sweet-cancel:focus, .sweet-cancel:hover {
   box-shadow: none;
   outline: 0;
   border-color: transparent;
}

.modal-footer button.btn.btn-danger, .sweet-cancel {
   opacity: 1;
   border-color: transparent;
   box-shadow: none;
   outline: 0;
   padding: 4px 20px;
   background-color: #116fbc !important;
}

.alert-popup .modal-body {
   text-align: center;
}

.alert-popup .modal-body .fa {
   font-size: 60px;
   color: #83d5db;
}

.alert-popup .modal-body p {
   margin: 0;
}

.alert-popup .modal-dialog {
   border-color: transparent;
   margin: 150px auto;
}
.modal.show .modal-dialog {
   -webkit-transform: translate(0, 0);
   transform: translate(0, 0);
}



.modal-body .alert,
.msg.alert {
   display: none;
}


#myModel .modal-footer {
   justify-content: center !important;
}
</style>-->
{% if all_transactions %}
<div class="pages">
    <div class="row flex-column">
        <h3 class="text-center">Your transactions</h3>
        {% for transaction in all_transactions %}

        <div class="row justify-content-center mx-2" id="boxes">

            <img class="img-responsive col-md-2 col-sm-12 col-xs-12 col-lg-3"
                 src="{{ transaction.investment.my_images.all.0.image.url }}"
                 alt="{{ transaction.investment.name }}'s image">

            <div class="row flex-column mt-auto justify-content-between col-md-10 col-sm-12 col-lg-9 col-xs-10"
                 style="background: #f2f9ff;">
                <div class="row">
                    <div class="col-md-3 pl-5 pt-2">
                        <h6>{{ transaction.investment.name }}</h6>
                    </div>
                    <div class="row mt-0 pt-2 col-md-9 col-xs-12 col-lg-9 col-sm-12">
                        <div class="col-12 col-md-3 col-sm-6 col-xs-12 text-right">Transaction ID<br><strong>#{{ transaction.id }}</strong></div>
                        <div class="col-12 col-md-3 col-sm-6 text-right">Amount<br><strong>{{ transaction.invested_amount }}</strong></div>
                        <div class="col-12 col-md-3 col-sm-6 text-right">Submitted date<br><strong>{{ transaction.invest_date}}</strong></div>
                        <div class="col-12 col-md-3 col-sm-6 text-right">Funds data<br><strong>...</strong></div>
                    </div>
                </div>
                <div class="row">
                    {% if not transaction.done %}
                    <a style="" data-toggle="modal" data-target="#myModal" class="btn btn-block">Delete Offer
                        <i class="fa fa-trash" aria-hidden="true" style="font-style: normal;"></i>
                    </a>
                    {% endif %}
                    <div class="modal fade" id="myModal">
                        <div class="modal-dialog">
                            <div class="modal-content" style="">
                                <div class="modal-body">
                                    <p style="font-family: sans-serif;">Are you sure you want to Delete the Offer?</p>
                                </div>
                                <!-- Modal footer -->
                                <div class="modal-footer justify-content-center">
                                    <a href="{% url 'base:delete_investment' transaction.id %}">
                                        <button type="button" class="btn btn-danger">Yes</button>
                                    </a>
                                    <button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                {% if not transaction.done %}
                <div class="row align-items-center"
                     style="background-color: #0a4a7f; font-family: Roboto, Sans-serif; height: 60px;">
                    <a href="{% url 'base:choose_payment' transaction.id %}"
                       class="btn btn-block text-white"> Pay Here <i style="" class="fa fa-share"
                                                                     aria-hidden="true"></i>
                    </a>
                </div>
                {% elif transaction.done and not transaction.approved %}
                <div class="row align-items-center justify-content-end"
                     style="background-color: #FF4500; font-family: Roboto, Sans-serif; height: 60px;">
                    <span style="" class="btn btn-block text-white">Pending approval</span>
                </div>
                {% elif transaction.done and transaction.approved %}
                <div class="row align-items-center justify-content-end"
                     style="background-color: #008000; font-family: Roboto, Sans-serif; height: 60px;">
                    <span style="" class="btn btn-block text-white">Approved</span>
                </div>
                {% endif %}
            </div>
        </div>
    </div>
    <br>
    <br>
    <br>
    {% endfor %}
    {% else %}
    <br><br>
    <div class="breadcrumbs-custom-inner">
        <br>
        <br>
        <div class="alert alert-success" style="margin-left: 555px;margin-bottom: 100px;" id="msg">
            <h4 style="margin-top: 90px">Yet, You have no offer in progress,</h4>
            <h4> Check back after you submit an offer </h4>
            <br><span style="margin-left: 140px"><a href="{% url 'base:investments' %}}>Click Here for offer</a></span>
        </div>
    </div>
    <br>
    <br>
    {% endif %}
</div>

{% endblock content %}